Name:		tmux
Version:	3.1b
Release:	1.el6
Summary:	tmux terminal multiplexer
Group:		Applications/System
License:	GPL
URL:		https://github.com/tmux/tmux/wiki
Vendor:		Nicholas Marriott
Source:		https://github.com/tmux/tmux/releases/download/3.1b/tmux-3.1b.tar.gz
Prefix:		%{_prefix}
Packager: 	Scott Rochford
BuildRoot:	%{_tmppath}/%{name}-root
Requires:	ncurses >= 5, ncurses-libs >= 5, libevent2

%description
tmux is a terminal multiplexer. It lets you switch easily between several
programs in one terminal, detach them (they keep running in the background) and
reattach them to a different terminal.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir} --sysconfdir=/etc

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.ja COPYING CHANGES
/usr/bin/tmux
/usr/share/man/man1/tmux.1.gz

%changelog
* Sat Jul 25 2020 Scott Rochford <scott+rpmb@galaxy4.net>
- Initial version.
